Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Halide::Internal::GeneratorParam_LoopLevel Class Reference

`#include <Generator.h>`

Inheritance diagram for Halide::Internal::GeneratorParam_LoopLevel:

## Public Member Functions
| GeneratorParam_LoopLevel (const std::string &name, const LoopLevel &value)
void | set (const LoopLevel &value) override
void | set_from_string (const std::string &new_value_string) override
std::string | get_default_value () const override
std::string | call_to_string (const std::string &v) const override
std::string | get_c_type () const override
bool | is_looplevel_param () const override
Public Member Functions inherited from Halide::Internal::GeneratorParamImpl< LoopLevel >
| GeneratorParamImpl (const std::string &name, const LoopLevel &value)
LoopLevel | value () const
| operator LoopLevel () const
| operator Expr () const
void | set (const std::string &new_value)
Public Member Functions inherited from Halide::Internal::GeneratorParamBase
| GeneratorParamBase (const std::string &name)
virtual | ~GeneratorParamBase ()
const std::string & | name () const
void | set (const std::string &new_value)
void | set (const char *new_value)
| GeneratorParamBase (const GeneratorParamBase &)=delete
GeneratorParamBase & | operator= (const GeneratorParamBase &)=delete
| GeneratorParamBase (GeneratorParamBase &&)=delete
GeneratorParamBase & | operator= (GeneratorParamBase &&)=delete

## Additional Inherited Members
Public Types inherited from Halide::Internal::GeneratorParamImpl< LoopLevel >
using | type = LoopLevel
Protected Member Functions inherited from Halide::Internal::GeneratorParamImpl< LoopLevel >
virtual void | set_impl (const LoopLevel &new_value)
Protected Member Functions inherited from Halide::Internal::GeneratorParamBase
void | check_value_readable () const
void | check_value_writable () const
virtual std::string | get_type_decls () const
virtual bool | is_synthetic_param () const
void | fail_wrong_type (const char *type)
Protected Attributes inherited from Halide::Internal::GeneratorParamImpl< LoopLevel >
LoopLevel | value_

## Detailed Description

Definition at line 651 of file Generator.h.

## Constructor & Destructor Documentation

## ◆ GeneratorParam_LoopLevel()

Halide::Internal::GeneratorParam_LoopLevel::GeneratorParam_LoopLevel | ( | const std::string & | name,
|  | const LoopLevel & | value
| ) |  |
| inline

Definition at line 653 of file Generator.h.

## Member Function Documentation

## ◆ set()

void Halide::Internal::GeneratorParam_LoopLevel::set | ( | const LoopLevel & | value | ) |
| inline override

Definition at line 659 of file Generator.h.

References Halide::LoopLevel::set(), Halide::Internal::GeneratorParamImpl< LoopLevel >::value(), and Halide::Internal::GeneratorParamImpl< LoopLevel >::value_.

Referenced by set_from_string().

## ◆ set_from_string()

void Halide::Internal::GeneratorParam_LoopLevel::set_from_string | ( | const std::string & | new_value_string | ) |
| inline override virtual

Implements Halide::Internal::GeneratorParamBase.

Definition at line 679 of file Generator.h.

References Halide::cast(), Halide::LoopLevel::inlined(), Halide::Internal::GeneratorParamBase::name(), Halide::LoopLevel::root(), set(), and user_error.

## ◆ get_default_value()

std::string Halide::Internal::GeneratorParam_LoopLevel::get_default_value | ( |  | ) | const
| inline override virtual

Implements Halide::Internal::GeneratorParamBase.

Definition at line 689 of file Generator.h.

References internal_error, Halide::LoopLevel::is_inlined(), Halide::LoopLevel::is_root(), Halide::LoopLevel::lock(), Halide::LoopLevel::set(), and Halide::Internal::GeneratorParamImpl< LoopLevel >::value().

## ◆ call_to_string()

std::string Halide::Internal::GeneratorParam_LoopLevel::call_to_string | ( | const std::string & | v | ) | const
| inline override virtual

Implements Halide::Internal::GeneratorParamBase.

Definition at line 711 of file Generator.h.

References internal_error.

## ◆ get_c_type()

std::string Halide::Internal::GeneratorParam_LoopLevel::get_c_type | ( |  | ) | const
| inline override virtual

Implements Halide::Internal::GeneratorParamBase.

Definition at line 716 of file Generator.h.

## ◆ is_looplevel_param()

bool Halide::Internal::GeneratorParam_LoopLevel::is_looplevel_param | ( |  | ) | const
| inline override virtual

Reimplemented from Halide::Internal::GeneratorParamBase.

Definition at line 720 of file Generator.h.

The documentation for this class was generated from the following file:

- src/Generator.h